summaryrefslogtreecommitdiffstats
path: root/scripts/stable-update.sh
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2019-09-23 15:14:31 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2019-09-23 15:14:31 +0200
commit54102d4aaa7c0b293841d692e80c57e07c550fd2 (patch)
tree4fbca2f06a4139e5201d0269a63a9cd6a8215137 /scripts/stable-update.sh
parentc56bdfe97cd445e0ae52db7d576cb72b36519c88 (diff)
parent0498fb5dc56cabea8f041a6d8d9562c7f6bdc1d1 (diff)
downloadkernel-54102d4aaa7c0b293841d692e80c57e07c550fd2.tar.gz
kernel-54102d4aaa7c0b293841d692e80c57e07c550fd2.tar.xz
kernel-54102d4aaa7c0b293841d692e80c57e07c550fd2.zip
merge origin/f31
Diffstat (limited to 'scripts/stable-update.sh')
-rwxr-xr-xscripts/stable-update.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 5d9e49fa2..2e2d974b6 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -48,20 +48,21 @@ fi
# This all needs to be updated for the new generation system
#
-#if [ ! -f "patch-$1.sign" ]; then
-# wget "https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.sign"
+# if [ ! -f "patch-$1.sign" ]; then
+# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
# if [ ! $? -eq 0 ]; then
# echo "Signature download failed"
# exit 1
# fi
-#fi
-#
-#xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-#if [ ! $? -eq 0 ]; then
+# fi
+
+# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+# if [ ! $? -eq 0 ]; then
# echo "Patch file has invalid or untrusted signature!"
# echo "See https://www.kernel.org/category/signatures.html"
# exit 1
-#fi
+# fi
+
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then